<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imselect</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="imroi.html">&lt;&lt; imroi</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_801a32c10cafa0071f9f29c6dd38b3e3.html">Utilities and Interactive Tools</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="rectangle.html">rectangle &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_801a32c10cafa0071f9f29c6dd38b3e3.html">Utilities and Interactive Tools</a> &gt; imselect</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imselect</h1>
    <p class="refpurpose">Select points on an image.</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">pts</span><span class="default"> = </span><span class="functionid">imselect</span><span class="default">(</span><span class="default">n</span><span class="default"> [, </span><span class="default">bnd</span><span class="default">])</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">n :</span>
      <dd><p class="para">Number of maximum points to select, or it could be less by using right click.</p></dd></dt>
   <dt><span class="term">bnd :</span>
      <dd><p class="para">optional 1x4 vector [xmin, ymin, xmax, ymax];</p></dd></dt>
   <dt><span class="term">pts :</span>
      <dd><p class="para">Selected points coordinates, axes coordinates returns.</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">This function allows user to select the up to the maximum points specified in n,
or the last points could be selected by using right click. The returned coordinates
are in cartesian, which need to be manually converted to image coordinates if required.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">S</span> <span class="scilaboperator">=</span> <span class="scilabid">imread</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/images/puffin.png</span><span class="scilabstring">&#0034;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">S</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">pts</span> <span class="scilaboperator">=</span> <span class="scilabid">imselect</span><span class="scilabopenclose">(</span><span class="scilabnumber">5</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="imcrop.html" class="link">imcrop</a></li>
   <li class="member"><a href="imroi.html" class="link">imroi</a></li>
   <li class="member"><a href="imcropm.html" class="link">imcropm</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="imroi.html">&lt;&lt; imroi</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_801a32c10cafa0071f9f29c6dd38b3e3.html">Utilities and Interactive Tools</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="rectangle.html">rectangle &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
